# Fetch merchant enabled PSP

Returns the merchant-enabled PSP configuration for the given ID.

Endpoint: GET /v3/public/psp/{merchantEnabledPspId}
Version: 3.0.0
Security: bearerAuth

## Security:

  - `bearerAuth` (unknown)
    oauth2

## Path parameters:

  - `merchantEnabledPspId` (string, required)
    Merchant enabled PSP ID

## Response 200:

  - `200` (unknown)
    Merchant enabled PSP details

## Response 200 fields (application/json):

  - `id` (string, required)
    Unique identifier for the merchant-enabled PSP.
    Example: 944732c4608c441aa91379478b91f76e

  - `merchantId` (string, required)
    Unique identifier for the merchant.
    Example: 944732c4608c441aa91379478b91f76e

  - `name` (string, required)
    Merchant-assigned name for the PSP.

  - `paymentServiceProviderId` (string, required)
    Unique identifier for the PSP.
    Example: 944732c4608c441aa91379478b91f76e

  - `paymentServiceProviderName` (string, required)
    PSP name.

  - `feature` (string, required)
    PSP feature. Pay-In or Pay-Out.
    Enum: "PAY_IN", "PAY_OUT"

  - `limits` (object)
    PSP limits

  - `limits.baseCurrency` (string, required)
    Currency for the specified limit.
    Example: EUR

  - `limits.minAmount` (number, required)
    Minimum transaction amount for the specified limit.
    Example: 100

  - `limits.maxAmount` (number, required)
    Maximum transaction amount for the specified limit.
    Example: 100

  - `limits.pspLimitsByTypeAndTimeframe` (array, required)
    Limits for CARD/TRANSACTION for a specified timeframe.

  - `limits.pspLimitsByTypeAndTimeframe.amount` (number, required)
    Total amount limit for transactions in a timeframe.
    Example: 100

  - `limits.pspLimitsByTypeAndTimeframe.count` (integer, required)
    Limit for the total number of transactions in a timeframe.
    Example: 100

  - `limits.pspLimitsByTypeAndTimeframe.type` (string, required)
    Limit type.
    Enum: "CARD_LIMIT", "TRANSACTION_LIMIT"

  - `limits.pspLimitsByTypeAndTimeframe.timeframe` (string, required)
    Timeframe for which the limit is checked.
    Enum: "DAY", "WEEK", "MONTH"

  - `kycRequired` (boolean)
    Whether KYC is required for this PSP.
    Example: true

  - `defaultCurrency` (string)
    Currency used by default if a currency isn't specified in the transaction.
    Example: EUR

  - `enabledCurrencies` (array)
    Supported currencies.

  - `constraints` (array, required)
    Constraints (countries and card brands) for which this PSP applies.

  - `constraints.country` (array, required)
    Countries for which the constraint applies.
    Example: ["DE"]

  - `constraints.cardBrand` (array, required)
    Card brands for which the constraint applies.
    Example: ["VISA"]

  - `ftdConfigurations` (array, required)
    Restrictions on first-time deposits.

  - `ftdConfigurations.configurationType` (string, required)
    FTD configuration type. Per card or per customer.
    Enum: "LIMIT_PER_CARD", "LIMIT_PER_CUSTOMER"

  - `ftdConfigurations.initialTransactionSupported` (boolean, required)
    Whether an initial transaction is supported.
    Example: true

  - `ftdConfigurations.allowAfterTimesOfDeposit` (integer)
    Allow deposit only after the specified number of transactions.
    Example: 5

  - `restrictions` (array, required)
    Restrictions on the max number of transactions per card or per customer.

  - `restrictions.configurationType` (string, required)
    Restriction configuration type. Per card or per customer.
    Enum: "LIMIT_PER_CARD", "LIMIT_PER_CUSTOMER"

  - `restrictions.enabled` (boolean, required)
    Whether the restriction configuration is enabled.
    Example: true

  - `restrictions.maxSuccessfulTransactions` (integer, required)
    Maximum number of successful transactions.
    Example: 10

  - `authorized` (boolean, required)
    Whether the PSP is authorized.
    Example: true

  - `displayLogo` (string)
    PSP display logo URL.

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 400 fields (application/json):

  - `errorKey` (string)
    Machine-readable error identifier.
    Example: VALIDATION_ERROR

  - `errorMessage` (string)
    Human-readable error description.
    Example: currency must not be null

  - `errorCode` (integer)
    HTTP status code associated with the error.
    Example: 400

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `errorKey` (string)
    Machine-readable error identifier.
    Example: VALIDATION_ERROR

  - `errorMessage` (string)
    Human-readable error description.
    Example: currency must not be null

  - `errorCode` (integer)
    HTTP status code associated with the error.
    Example: 400

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/json):

  - `errorKey` (string)
    Machine-readable error identifier.
    Example: VALIDATION_ERROR

  - `errorMessage` (string)
    Human-readable error description.
    Example: currency must not be null

  - `errorCode` (integer)
    HTTP status code associated with the error.
    Example: 400

## Response 404:

  - `404` (unknown)
    Not Found

## Response 404 fields (application/json):

  - `errorKey` (string)
    Machine-readable error identifier.
    Example: VALIDATION_ERROR

  - `errorMessage` (string)
    Human-readable error description.
    Example: currency must not be null

  - `errorCode` (integer)
    HTTP status code associated with the error.
    Example: 400

## Response 409:

  - `409` (unknown)
    Conflict

## Response 409 fields (application/json):

  - `errorKey` (string)
    Machine-readable error identifier.
    Example: VALIDATION_ERROR

  - `errorMessage` (string)
    Human-readable error description.
    Example: currency must not be null

  - `errorCode` (integer)
    HTTP status code associated with the error.
    Example: 400

## Response 500:

  - `500` (unknown)
    Internal Server Error

## Response 500 fields (application/json):

  - `errorKey` (string)
    Machine-readable error identifier.
    Example: VALIDATION_ERROR

  - `errorMessage` (string)
    Human-readable error description.
    Example: currency must not be null

  - `errorCode` (integer)
    HTTP status code associated with the error.
    Example: 400

